Get Transfers
List Recipient Transfers
Retrieve the transfer history associated with a specific recipient
GET
/
recipients
/
{recipient_id}
/
transfers
cURL
curl --request GET \
--url https://api-sandbox.y.uno/v1/recipients/{recipient_id}/transfers \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/recipients/{recipient_id}/transfers"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/recipients/{recipient_id}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"origin_onboarding": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"status": "TRANSFERRED",
"type": "ONE_STEP_ONBOARDING",
"workflow": "DIRECT",
"provider": {
"id": "STRIPE",
"recipient_id": "acct_1234567890",
"connection_id": "880e8400-e29b-41d4-a716-446655440003"
},
"recipient": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"merchant_recipient_id": "seller-123",
"email": "seller@example.com"
},
"created_at": "2026-01-15T10:00:00Z",
"updated_at": "2026-01-15T16:59:22Z"
},
"destination_onboarding": {
"id": "990e8400-e29b-41d4-a716-446655440004",
"status": "SUCCEEDED",
"type": "ONE_STEP_ONBOARDING",
"provider": {
"id": "STRIPE",
"recipient_id": "acct_0987654321",
"connection_id": "880e8400-e29b-41d4-a716-446655440003"
},
"recipient": {
"id": "aa0e8400-e29b-41d4-a716-446655440005",
"merchant_recipient_id": "seller-456",
"email": "newseller@example.com"
},
"created_at": "2026-01-15T16:59:22Z",
"updated_at": "2026-01-15T16:59:23Z"
},
"created_at": "2026-01-15T16:59:22.996009Z",
"updated_at": "2026-01-15T16:59:23.734739Z"
},
{
"id": "bb0e8400-e29b-41d4-a716-446655440006",
"origin_onboarding": {
"id": "cc0e8400-e29b-41d4-a716-446655440007",
"status": "TRANSFERRED",
"recipient": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"merchant_recipient_id": "seller-123"
}
},
"destination_onboarding": {
"id": "dd0e8400-e29b-41d4-a716-446655440008",
"status": "SUCCEEDED",
"recipient": {
"id": "ee0e8400-e29b-41d4-a716-446655440009",
"merchant_recipient_id": "seller-789"
}
},
"created_at": "2026-01-10T08:30:00.000000Z",
"updated_at": "2026-01-10T08:30:15.000000Z"
}
]{
"code": "FORBIDDEN",
"messages": [
"You do not have permission to access this resource."
]
}{
"code": "RECIPIENT_NOT_FOUND",
"messages": [
"Recipient not found."
]
}List all recipient transfers using the
recipient_id.
Response Format
- Returns an array of
onboardingTransferResponseobjects - Ordered by
created_atDESC (most recent first) - Includes transfers where recipient is either origin or destination
- Empty array
[]if no transfers found
Authorizations
Headers
The account_id found in your Yuno Dashboard (UUID).
Path Parameters
The recipient id returned from the create recipient endpoint (UUID).
Response
OK
Was this page helpful?
Previous
List Onboarding TransfersRetrieve the transfer history associated with a specific onboarding
Next
⌘I
cURL
